linux: 2.6.32-35.78 -proposed tracker

Bug #871899 reported by Herton R. Krzesinski on 2011-10-10
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Herton R. Krzesinski
Prepare-package-meta
Undecided
Herton R. Krzesinski
Prepare-package-ports-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Marc Deslauriers
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-35.78 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 10. October 2011 17:07 UTC
kernel-stable-Prepare-package-end:Wednesday, 12. October 2011 20:21 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 12. October 2011 20:21 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 13. October 2011 06:15 UTC
kernel-stable-Verification-testing-start:Thursday, 13. October 2011 06:15 UTC
kernel-stable-Verification-testing-end:Wednesday, 19. October 2011 23:15 UTC
kernel-stable-Certification-testing-start:Wednesday, 19. October 2011 23:15 UTC
kernel-stable-Security-signoff-start:Wednesday, 19. October 2011 23:15 UTC
kernel-stable-Regression-testing-start:Wednesday, 19. October 2011 23:15 UTC
kernel-stable-Security-signoff-end:Thursday, 20. October 2011 13:00 UTC
kernel-stable-Regression-testing-end:Thursday, 20. October 2011 15:45 UTC
kernel-stable-Promote-to-updates-start:Thursday, 27. October 2011 15:01 UTC
kernel-stable-Certification-testing-end:Thursday, 27. October 2011 15:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 08. November 2011 13:01 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 08. November 2011 13:01 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-fsl-imx51 - bug 873059
linux-mvl-dove - bug 873062
linux-ec2 - bug 873063

description: updated
Martin Pitt (pitti) on 2011-10-13
Changed in linux (Ubuntu):
status: In Progress → Invalid
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

description: updated
Herton R. Krzesinski (herton) wrote :

@Carlos: I think you commented/changed the wrong task in the wrong bug report? This lucid kernel is still in verification, setting back the tasks.

Marc Deslauriers (mdeslaur) wrote :

looks good, thanks!

description: updated
Ara Pulido (ara) wrote :

Should verification be finished by now? (based on dates)

C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
description: updated
Herton R. Krzesinski (herton) wrote :

All bugs verified, verification done.

Hardware Certification started testing this last week and are almost finished. Update soon.

Ara Pulido (ara) wrote :

We have tested in 85 systems: servers, netbooks and laptops. No errors were found.

 http://people.canonical.com/~hwcert/sru-testing/current/lucid-proposed.html

The certification-testing task was set to Fix Released but neither the certification-testing-passed or certification-testing-failed tag was applied

Daniel Manrique (roadmr) wrote :

Apologies, I'm marking the hwcert task Fix Released and tagging certification-testing-passed per Ara's comment #9 above.

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2011-10-27
description: updated

For posterity, since the 'current' SRU testing report changes with each new -proposed kernel, here is the static link to the report for this kernel : http://people.canonical.com/~hwcert/sru-testing/wk42_2011/lucid-proposed.html

Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package linux - 2.6.32-35.78

---------------
linux (2.6.32-35.78) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #871899

  [ Andrew Dickinson ]

  * SAUCE: sched: Prevent divide by zero when cpu_power is 0
    - LP: #614853

  [ Stefan Bader ]

  * [Config] Force perf to use libiberty for demangling
    - LP: #783660

  [ Tim Gardner ]

  * [Config] Simplify binary-udebs dependencies
    - LP: #832352
  * [Config] kernel preparation cannot be parallelized
    - LP: #832352
  * [Config] Linearize module/abi checks
    - LP: #832352
  * [Config] Linearize and simplify tree preparation rules
    - LP: #832352
  * [Config] Build kernel image in parallel with modules
    - LP: #832352
  * [Config] Set concurrency for kmake invocations
    - LP: #832352
  * [Config] Improve install-arch-headers speed
    - LP: #832352
  * [Config] Fix binary-perarch dependencies
    - LP: #832352
  * [Config] Removed stamp-flavours target
    - LP: #832352
  * [Config] Serialize binary indep targets
    - LP: #832352
  * [Config] Use build stamp directly
    - LP: #832352
  * [Config] Restore prepare-% target
    - LP: #832352
  * [Config] Fix binary-% build target
  * [Config] Fix install-headers target
    - LP: #832352
  * SAUCE: igb: Protect stats update
    - LP: #829566
  * SAUCE: rtl8192se spams log
    - LP: #859702

  [ Upstream Kernel Changes ]

  * Add mount option to check uid of device being mounted = expect uid,
    CVE-2011-1833
    - LP: #732628
    - CVE-2011-1833
  * crypto: Move md5_transform to lib/md5.c
    - LP: #827462
  * net: Compute protocol sequence numbers and fragment IDs using MD5.
    - LP: #827462
  * ALSA: timer - Fix Oops at closing slave timer
    - LP: #827462
  * ALSA: snd-usb-caiaq: Fix keymap for RigKontrol3
    - LP: #827462
  * powerpc: Fix device tree claim code
    - LP: #827462
  * powerpc: pseries: Fix kexec on machines with more than 4TB of RAM
    - LP: #827462
  * Linux 2.6.32.45+drm33.19
    - LP: #827462
  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * tunnels: fix netns vs proto registration ordering
    - LP: #823296
  * Fix broken backport for IPv6 tunnels in 2.6.32-longterm kernels.
  * USB: xhci: fix OS want to own HC
    - LP: #837669
  * USB: assign instead of equal in usbtmc.c
    - LP: #837669
  * USB: usb-storage: unusual_devs entry for ARM V2M motherboard.
    - LP: #837669
  * USB: Serial: Added device ID for Qualcomm Modem in Sagemcom's HiLo3G
    - LP: #837669
  * atm: br2864: sent packets truncated in VC routed mode
    - LP: #837669
  * hwmon: (ibmaem) add missing kfree
    - LP: #837669
  * ALSA: snd-usb-caiaq: Correct offset fields of outbound iso_frame_desc
    - LP: #837669
  * mm: fix wrong vmap address calculations with odd NR_CPUS values
    - LP: #837669
  * perf tools: do not look at ./config for configuration
    - LP: #837669
  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #837669
  * befs: Validate length of long symbolic links.
    - LP: #837669
  * ALSA: snd_usb_caiaq: track submitted output urbs
    - LP: #8...

Read more...

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
Martin Pitt (pitti) wrote :

released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers